/kernel_reloaded/

Author:

Other contacts

Novi članci

Flickr Goodness

Categories

August 10, 2012 @ 13:30

MATE desktop with Compiz Fusion on Fedora 16/17


 
If you are running Fedora 16 or 17 and you are missing your old GNOME desktop with Compiz Fusion effects then you will love this post.
 
Thanks to the great work of Wolfgang Ulbrich for his awesome work on packaging MATE Dekstop for Fedora 16/17 and even bringing it to Fedora 18 by default!
 
Installing MATE desktop is very easy on both Fedora 16 or 17, but installing Compiz Fusion on Fedora 16 is a bit tricky.
 

Fedora 16:

yum install https://dl.dropbox.com/u/49862637/Mate-desktop/mate-desktop-fedora-updates/16/noarch/mate-desktop-release-16-6.fc16.noarch.rpm

yum groupinstall MATE-Desktop

 
Fedora 17:

yum install https://dl.dropbox.com/u/49862637/Mate-desktop/fedora_17/mate-desktop-fedora-updates/noarch/mate-desktop-release-17-2.fc17.noarch.rpm

yum groupinstall MATE-Desktop

 
After sucessfuly installing MATE desktop just log out and on login screen after clicking on your username click on “session” and choose “MATE” before typing in your user password.
 
Installing Compiz Fusion is easier on Fedora 17, but if you follow these steps you will install it without issues on Fedora 16 also.
 
Compiz Fusion on Fedora 16:

yum install -y yum-plugin-versionlock nano

 

nano / etc/yum/pluginconf.d/versionlock.list

 
Now you need to add this text to file “versionlock.list”:

ccsm-0.8.4-5.fc16.noarch
libcompizconfig-0.8.8-1.fc16.x86_64
libcompizconfig-devel-0.8.8-1.fc16.x86_64
compizconfig-python-0.8.4-3.fc16.x86_64
compiz-plugins-main-devel-0.8.8-1.fc16.x86_64
compiz-mate-0.8.8-1.fc16.x86_64
compiz-manager-0.6.0-14.fc16.noarch
compiz-plugins-extra-mate-0.8.8-1.fc16.x86_64
compiz-plugins-unsupported-devel-0.8.8-1.fc16.x86_64
compiz-plugins-extra-0.8.8-1.fc16.x86_64
compiz-plugins-main-mate-0.8.8-1.fc16.x86_64
compiz-plugins-unsupported-0.8.8-1.fc16.x86_64
compiz-bcop-0.8.8-2.fc16.noarch
compiz-0.8.8-1.fc16.x86_64
compiz-plugins-extra-devel-0.8.8-1.fc16.x86_64
compiz-plugins-unsupported-mate-0.8.8-1.fc16.x86_64
compiz-plugins-main-0.8.8-1.fc16.x86_64
compizconfig-backend-mateconf-0.8.8-1.fc16.x86_64
compiz-devel-0.8.8-1.fc16.x86_64
compiz-gtk-0.8.8-1.fc16.x86_64
fusion-icon-0.1.0-0.8.5e2dc9git.fc16.noarch
fusion-icon-gtk-0.1.0-0.8.5e2dc9git.fc16.noarch

 
After you close and save “versionlock.list” you can install Compiz Fusion packages:
 

yum install --enablerepo=mate-desktop-fedora-new-application-testing compiz compiz-mate fusion-icon-gtk compiz-plugins-main compiz-plugins-extra compiz-plugins-extra-mate compiz-plugins-main-mate compiz-plugins-unsupported compiz-plugins-unsupported-mate

 
Compiz Fusion on Fedora 17:

yum install –enablerepo=mate-desktop-fedora-new-application-testing compiz compiz-mate fusion-icon-gtk compiz-plugins-main compiz-plugins-extra compiz-plugins-extra-mate compiz-plugins-main-mate compiz-plugins-unsupported compiz-plugins-unsupported-mate

After all packages are installed just start “fusion-icon” command and enjoy your “new” MATE deskop with Compiz Fusion ;)
 

Filed under english, fedora, linux, tips&tricks

  • raveit65

    Compiz Fusion on Fedora 17:

    yum install –enablerepo=mate-desktop-fedora-new-application-testing compiz compiz-mate fusion-icon-gtk compiz-plugins-main compiz-plugins-extra compiz-plugins-extra-mate compiz-plugins-main-mate compiz-plugins-unsupported compiz-plugins-unsupported-mate

    ;)

    • valent

      Fixed, thanks ;)

  • raveit65

    can you change headers line?
    Dekstop to desktop

    • valent

      Done, thanks.

  • raveit65

    i mean Desktop

    • valent

      Done

  • amod

    yum install https://dl.dropbox.com/u/49862637/Mate-desktop/fedora_17/mate-desktop-fedora-updates/noarch/mate-desktop-release-17-2.fc17.noarch.rpm

    yum groupinstall MATE-Desktop

    This was succesfull

    [amod@localhost ~]$ sudo yum install –enablerepo=mate-desktop-fedora-new-application-testing compiz compiz-mate fusion-icon-gtk compiz-plugins-main compiz-plugins-extra compiz-plugins-extra-mate compiz-plugins-main-mate compiz-plugins-unsupported compiz-plugins-unsupported-mate
    [sudo] password for amod:
    Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
    Loading mirror speeds from cached hostfile
    * fedora: fedora.iitm.ac.in
    * rpmfusion-free: mirror.cse.iitk.ac.in
    * rpmfusion-free-updates: mirror.cse.iitk.ac.in
    * rpmfusion-nonfree: mirror.cse.iitk.ac.in
    * rpmfusion-nonfree-updates: mirror.cse.iitk.ac.in
    * updates: mirror.cse.iitk.ac.in
    No package compiz available.
    No package compiz-mate available.
    No package fusion-icon-gtk available.
    No package compiz-plugins-main available.
    No package compiz-plugins-extra available.
    No package compiz-plugins-extra-mate available.
    No package compiz-plugins-main-mate available.
    No package compiz-plugins-unsupported available.
    No package compiz-plugins-unsupported-mate available.
    Error: Nothing to do
    [amod@localhost ~]$

    This was not what to do?

  • http://www.theiceman.co.il/blog tim

    not working for me:

    root@dell ~ # yum install --enablerepo=mate-desktop-fedora-new-application-testing compiz compiz-mate fusion-icon-gtk compiz-plugins-main compiz-plugins-extra compiz-plugins-extra-mate compiz-plugins-main-mate compiz-plugins-unsupported compiz-plugins-unsupported-mate
    Loaded plugins: changelog, fastestmirror, langpacks, presto, refresh-packagekit, remove-with-leaves, rpm-warm-cache, show-leaves, versionlock
    Loading mirror speeds from cached hostfile
    * fedora: mirror.isoc.org.il
    * rpmfusion-free: mirror.cse.iitk.ac.in
    * rpmfusion-free-updates: mirror.cse.iitk.ac.in
    * rpmfusion-nonfree: mirror.cse.iitk.ac.in
    * rpmfusion-nonfree-updates: mirror.cse.iitk.ac.in
    * updates: mirror01.th.ifl.net
    No package compiz available.
    No package compiz-mate available.
    No package fusion-icon-gtk available.
    No package compiz-plugins-main available.
    No package compiz-plugins-extra available.
    No package compiz-plugins-extra-mate available.
    No package compiz-plugins-main-mate available.
    No package compiz-plugins-unsupported available.
    No package compiz-plugins-unsupported-mate available.

  • Pingback: Fedora 桌面使用紀錄 « 喝茶也喝咖啡

  • gadgetrevue

    Sometimes I think people put typos in the command on purpose so newbies can’t get it to work and just give up. :) (kidding)

    in this case for Compiz Fusion for Fedora 17 “enablerepo” command needs a “–” not just a “-”, correct syntax is below.

    yum install –enablerepo=mate-desktop-fedora-new-application-testing compiz compiz-mate fusion-icon-gtk compiz-plugins-main compiz-plugins-extra compiz-plugins-extra-mate compiz-plugins-main-mate compiz-plugins-unsupported compiz-plugins-unsupported-mate

    • valent

      And sometimes blog engine has their own way with showing some king of text, and it usually mangles some code, as you can see your comment is also mangled :(

  • fatcatsplat

    Thank you, to you guys who know so much more than me and understand code better than I. You make my computing experience so much more enjoyable. May you live long and prosper, and have a happy new year too.

    Thanks again from a dyed in the blood Linux lover and user.

    Recent Comments

    •  Tomáš Pavel: So I just solder it together and it works? That looks easy.
    • Valent Turkovic: NetVideoHunter (plugin) NetVideoHunter is a Firefox add-on (extension), and you can easily download...
    • Valent Turkovic: Also interesting, Google+ Share – https://addons.mozilla.org/en- US/firefox/addon/google-sha...
    • sf_jeff: Did you look under the “View” tab under the computer on the left?
    • blahmer anagas: set get fans at full speed hp linux, how can i set my fans to full speed on my hp 6530b 6730b? ^ just...

    Archives

    del.icio.us

    Flickr photostream

    User not found

    Meta meta :)